Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.io.sstable
Class SSTableIdentityIterator

    java.lang.Object
      org.apache.cassandra.io.sstable.SSTableIdentityIterator

All Implemented Interfaces:
  java.io.Closeable, java.lang.Comparable<SSTableIdentityIterator>, java.util.Iterator<IColumn>, IColumnIterator, ICountableColumnIterator, CloseableIterator<IColumn>

    public class SSTableIdentityIterator

extends java.lang.Object
implements java.lang.Comparable<SSTableIdentityIterator>, ICountableColumnIterator

Field Summary
`long` | `dataSize`
`IColumnSerializer.Flag` | `flag`

Constructor Summary
`SSTableIdentityIterator(CFMetaData metadata, java.io.DataInput file, DecoratedKey<?> key, long dataStart, long dataSize, IColumnSerializer.Flag flag)`
`SSTableIdentityIterator(SSTableReader sstable, RandomAccessReader file, DecoratedKey<?> key, long dataStart, long dataSize)` Used to iterate through the columns of a row.
`SSTableIdentityIterator(SSTableReader sstable, RandomAccessReader file, DecoratedKey<?> key, long dataStart, long dataSize, boolean checkData)` Used to iterate through the columns of a row.

Method Summary
`void` | `close()` clean up any open resources
`int` | `compareTo(SSTableIdentityIterator o)`
`void` | `echoData(java.io.DataOutput out)`
`int` | `getColumnCount()`
`ColumnFamily` | `getColumnFamily()`
`ColumnFamily` | `getColumnFamilyWithColumns()`
`DecoratedKey<?>` | `getKey()`
`java.lang.String` | `getPath()`
`boolean` | `hasNext()`
`IColumn` | `next()`
`void` | `remove()`
`void` | `reset()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### dataSize

    public final long dataSize

### flag

    public final IColumnSerializer.Flag flag

Constructor Detail

### SSTableIdentityIterator

    public SSTableIdentityIterator(SSTableReader sstable,
                                   RandomAccessReader file,
                                   DecoratedKey<?> key,
                                   long dataStart,
                                   long dataSize)
                            throws java.io.IOException

  Used to iterate through the columns of a row.

  Parameters:
    `sstable` - SSTable we are reading ffrom.
    `file` - Reading using this file.
    `key` - Key of this row.
    `dataStart` - Data for this row starts at this pos.
    `dataSize` - length of row data
  Throws:
    `java.io.IOException`

### SSTableIdentityIterator

    public SSTableIdentityIterator(SSTableReader sstable,
                                   RandomAccessReader file,
                                   DecoratedKey<?> key,
                                   long dataStart,
                                   long dataSize,
                                   boolean checkData)
                            throws java.io.IOException

  Used to iterate through the columns of a row.

  Parameters:
    `sstable` - SSTable we are reading ffrom.
    `file` - Reading using this file.
    `key` - Key of this row.
    `dataStart` - Data for this row starts at this pos.
    `dataSize` - length of row data
    `checkData` - if true, do its best to deserialize and check the coherence of row data
  Throws:
    `java.io.IOException`

### SSTableIdentityIterator

    public SSTableIdentityIterator(CFMetaData metadata,
                                   java.io.DataInput file,
                                   DecoratedKey<?> key,
                                   long dataStart,
                                   long dataSize,
                                   IColumnSerializer.Flag flag)
                            throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### getKey

    public DecoratedKey<?> getKey()

  Specified by:
    `getKey` in interface `IColumnIterator`
  Returns:
    the current row key

### getColumnFamily

    public ColumnFamily getColumnFamily()

  Specified by:
    `getColumnFamily` in interface `IColumnIterator`
  Returns:
    A ColumnFamily holding metadata for the row being iterated. Do not modify this CF. Whether it is empty or not is implementation-dependent.

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `java.util.Iterator<IColumn>`

### next

    public IColumn next()

  Specified by:
    `next` in interface `java.util.Iterator<IColumn>`

### remove

    public void remove()

  Specified by:
    `remove` in interface `java.util.Iterator<IColumn>`

### close

    public void close()
               throws java.io.IOException

  Description copied from interface: `IColumnIterator`
  clean up any open resources

  Specified by:
    `close` in interface `java.io.Closeable`
  Specified by:
    `close` in interface `IColumnIterator`
  Throws:
    `java.io.IOException`

### getPath

    public java.lang.String getPath()

### echoData

    public void echoData(java.io.DataOutput out)
                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### getColumnFamilyWithColumns

    public ColumnFamily getColumnFamilyWithColumns()
                                            throws java.io.IOException

  Throws:
    `java.io.IOException`

### compareTo

    public int compareTo(SSTableIdentityIterator o)

  Specified by:
    `compareTo` in interface `java.lang.Comparable<SSTableIdentityIterator>`

### reset

    public void reset()

  Specified by:
    `reset` in interface `ICountableColumnIterator`

### getColumnCount

    public int getColumnCount()

  Specified by:
    `getColumnCount` in interface `ICountableColumnIterator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 The Apache Software Foundation